<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\Engine\Logger</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Instantiate a Calculation engine logger.">
            <span class="description">Instantiate a Calculation engine logger.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_clearLog" title="clearLog ::Clear the calculation engine debug log.">
            <span class="description">Clear the calculation engine debug log.</span><pre>clearLog</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getEchoDebugLog" title="getEchoDebugLog ::Return whether echoing of debug log information is enabled or disabled.">
            <span class="description">Return whether echoing of debug log information is enabled or disabled.</span><pre>getEchoDebugLog</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getLog" title="getLog ::Return the calculation engine debug log.">
            <span class="description">Return the calculation engine debug log.</span><pre>getLog</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getWriteDebugLog" title="getWriteDebugLog ::Return whether calculation engine logging is enabled or disabled.">
            <span class="description">Return whether calculation engine logging is enabled or disabled.</span><pre>getWriteDebugLog</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setEchoDebugLog" title="setEchoDebugLog ::Enable/Disable echoing of debug log information.">
            <span class="description">Enable/Disable echoing of debug log information.</span><pre>setEchoDebugLog</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setWriteDebugLog" title="setWriteDebugLog ::Enable/Disable Calculation engine logging.">
            <span class="description">Enable/Disable Calculation engine logging.</span><pre>setWriteDebugLog</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_writeDebugLog" title="writeDebugLog ::Write an entry to the calculation engine debug log.">
            <span class="description">Write an entry to the calculation engine debug log.</span><pre>writeDebugLog</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Logger</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Instantiate a Calculation engine logger.</h2>
                            <pre>__construct(\PhpOffice\PhpSpreadsheet\Calculation\Engine\CyclicReferenceStack $stack)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$stack</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engine.CyclicReferenceStack.html">\PhpOffice\PhpSpreadsheet\Calculation\Engine\CyclicReferenceStack</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_clearLog"></a>
                        <div class="element clickable methodpublic method_clearLog" data-toggle="collapse" data-target=".method_clearLog .collapse">
                            <h2>Clear the calculation engine debug log.</h2>
                            <pre>clearLog()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <a id="method_getEchoDebugLog"></a>
                        <div class="element clickable methodpublic method_getEchoDebugLog" data-toggle="collapse" data-target=".method_getEchoDebugLog .collapse">
                            <h2>Return whether echoing of debug log information is enabled or disabled.</h2>
                            <pre>getEchoDebugLog(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getLog"></a>
                        <div class="element clickable methodpublic method_getLog" data-toggle="collapse" data-target=".method_getLog .collapse">
                            <h2>Return the calculation engine debug log.</h2>
                            <pre>getLog(): array&lt;mixed,string&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,string&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getWriteDebugLog"></a>
                        <div class="element clickable methodpublic method_getWriteDebugLog" data-toggle="collapse" data-target=".method_getWriteDebugLog .collapse">
                            <h2>Return whether calculation engine logging is enabled or disabled.</h2>
                            <pre>getWriteDebugLog(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setEchoDebugLog"></a>
                        <div class="element clickable methodpublic method_setEchoDebugLog" data-toggle="collapse" data-target=".method_setEchoDebugLog .collapse">
                            <h2>Enable/Disable echoing of debug log information.</h2>
                            <pre>setEchoDebugLog(boolean $pValue)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setWriteDebugLog"></a>
                        <div class="element clickable methodpublic method_setWriteDebugLog" data-toggle="collapse" data-target=".method_setWriteDebugLog .collapse">
                            <h2>Enable/Disable Calculation engine logging.</h2>
                            <pre>setWriteDebugLog(boolean $pValue)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>boolean</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_writeDebugLog"></a>
                        <div class="element clickable methodpublic method_writeDebugLog" data-toggle="collapse" data-target=".method_writeDebugLog .collapse">
                            <h2>Write an entry to the calculation engine debug log.</h2>
                            <pre>writeDebugLog( $args)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$args</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_writeDebugLog"> </a>
                            <div class="element clickable propertyprivate property_writeDebugLog" data-toggle="collapse" data-target=".property_writeDebugLog .collapse">
                                <h2>Flag to determine whether a debug log should be generated by the calculation engine
       If true, then a debug log will be generated
       If false, then a debug log will not be generated.</h2>
                                <pre>writeDebugLog :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_echoDebugLog"> </a>
                            <div class="element clickable propertyprivate property_echoDebugLog" data-toggle="collapse" data-target=".property_echoDebugLog .collapse">
                                <h2>Flag to determine whether a debug log should be echoed by the calculation engine
       If true, then a debug log will be echoed
       If false, then a debug log will not be echoed
A debug log can only be echoed if it is generated.</h2>
                                <pre>echoDebugLog :boolean</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>boolean</code>                                    </div>
                                </div>
                            </div>                            <a id="property_debugLog"> </a>
                            <div class="element clickable propertyprivate property_debugLog" data-toggle="collapse" data-target=".property_debugLog .collapse">
                                <h2>The debug log generated by the calculation engine.</h2>
                                <pre>debugLog :array&lt;mixed,string&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,string&gt;</code>                                    </div>
                                </div>
                            </div>                            <a id="property_cellStack"> </a>
                            <div class="element clickable propertyprivate property_cellStack" data-toggle="collapse" data-target=".property_cellStack .collapse">
                                <h2>The calculation engine cell reference stack.</h2>
                                <pre>cellStack :\PhpOffice\PhpSpreadsheet\Calculation\Engine\CyclicReferenceStack</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engine.CyclicReferenceStack.html">\PhpOffice\PhpSpreadsheet\Calculation\Engine\CyclicReferenceStack</a></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\Engine\Logger"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.Engine.html">Engine</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Engine.Logger.html">Logger</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:48 +0000.<br/>
    </footer></body>
</html>
